! Note that TIME has to be default real (F95 standard allows any kind).
! Should work with most UNIX systems (even F77).

      SUBROUTINE CPU_TIME(TIME)
      REAL TIME

      REAL TARRAY(2)  ! system and user times (not used)

      TIME = DTIME(TARRAY)  ! should be available on most UNIX systems
                            ! .. but may not be on others!
      END
